Package org.apache.commons.fileupload2.core

# Class AbstractFileUploadTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>>

java.lang.Object
org.apache.commons.fileupload2.core.AbstractFileUploadWrapper<AFU,R,I,F>
org.apache.commons.fileupload2.core.AbstractFileUploadTest<AFU,R,I,F>

Type Parameters:
  `AFU` - The `AbstractFileUpload` type.
  `R` - The FileUpload request type.
  `I` - The FileItem type.
  `F` - The FileItemFactory type.

public abstract class AbstractFileUploadTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>> extends AbstractFileUploadWrapper<AFU,R,I,F>
Common tests for implementations of `AbstractFileUpload`. This is a parameterized test. Tests must be valid and common to all implementations of FileUpload added as parameter in this class.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.fileupload2.core.AbstractFileUploadWrapper

  `upload`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractFileUploadTest(AFU fileUpload)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `testContentTypeAttachment()`
  Tests FILEUPLOAD-239
  `void`
  `testEmptyFile()`
  This is what the browser does if you submit the form without choosing a file.
  `void`
  `testFileNameCaseSensitivity()`
  `void`
  `testFileUpload()`
  `void`
  `testFileUpload130()`
  Test case for FILEUPLOAD-130.
  `void`
  `testFILEUPLOAD62()`
  Test for FILEUPLOAD-62
  `void`
  `testFoldedHeaders()`
  Test for FILEUPLOAD-111
  `void`
  `testIE5MacBug()`
  Internet Explorer 5 for the Mac has a bug where the carriage return is missing on any boundary line immediately preceding an input with type=image.

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractFileUploadWrapper

  `parseUpload, parseUpload, parseUpload`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractFileUploadTest

    protected AbstractFileUploadTest(AFU fileUpload)

- ## Method Details

  - ### testContentTypeAttachment

    @Test public void testContentTypeAttachment() throws IOException
    Tests FILEUPLOAD-239
    Throws:
      `IOException` - Test failure.

  - ### testEmptyFile

    @Test public void testEmptyFile() throws org.apache.commons.fileupload2.core.FileUploadException
    This is what the browser does if you submit the form without choosing a file.
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException` - Test failure.

  - ### testFileNameCaseSensitivity

    @Test public void testFileNameCaseSensitivity() throws IOException
    Throws:
      `IOException`

  - ### testFileUpload

    @Test public void testFileUpload() throws IOException
    Throws:
      `IOException`

  - ### testFileUpload130

    @Test public void testFileUpload130() throws IOException
    Test case for FILEUPLOAD-130.
    Throws:
      `IOException` - Test failure.

  - ### testFILEUPLOAD62

    @Test public void testFILEUPLOAD62() throws IOException
    Test for FILEUPLOAD-62
    Throws:
      `IOException` - Test failure.

  - ### testFoldedHeaders

    @Test public void testFoldedHeaders() throws IOException
    Test for FILEUPLOAD-111
    Throws:
      `IOException` - Test failure.

  - ### testIE5MacBug

    @Test public void testIE5MacBug() throws org.apache.commons.fileupload2.core.FileUploadException
    Internet Explorer 5 for the Mac has a bug where the carriage return is missing on any boundary line immediately preceding an input with type=image. (type=submit does not have the bug.)
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException` - Test failure.